> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Set Customer Product > Enable or disable a product on this partner-customer relationship. ## OpenAPI ````yaml https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json put /partner/customer/{customerUserId}/products/{productId} openapi: 3.0.0 info: title: bunny.net Partner Portal API version: 1.0.0 servers: - url: https://api.bunny.net description: bunny.net API Server security: - AccessKey: [] tags: - name: Customers - name: Audit Log - name: Contract - name: Billing - name: Pricing - name: Products paths: /partner/customer/{customerUserId}/products/{productId}: put: tags: - Products summary: Set Customer Product description: Enable or disable a product on this partner-customer relationship. operationId: PutPartnerCustomerProductEndpoint_SetProductEnabled parameters: - name: customerUserId in: path required: true schema: type: string x-position: 1 - name: productId in: path required: true description: |- 1 = CDN 2 = Database 3 = DNS 4 = Magic Containers 5 = Optimizer 6 = Edge Scripting 7 = Shield 8 = Storage 9 = Stream schema: $ref: '#/components/schemas/PartnerCustomerProductType' x-position: 2 - name: enabled in: query schema: type: boolean nullable: true x-position: 3 responses: '204': description: Updated. '400': description: >- Missing required 'enabled' query parameter, or unsupported product id. '403': description: Customer is not assigned to this partner. security: - AccessKey: - ResellerPartner - MSPPartner - bearer: - ResellerPartner - MSPPartner components: schemas: PartnerCustomerProductType: type: integer description: |- 1 = CDN 2 = Database 3 = DNS 4 = Magic Containers 5 = Optimizer 6 = Edge Scripting 7 = Shield 8 = Storage 9 = Stream x-enumNames: - Cdn - Database - Dns - MagicContainers - Optimizer - Scripting - Shield - Storage - Stream enum: - 1 - 2 - 3 - 4 - 5 - 6 - 7 - 8 - 9 securitySchemes: AccessKey: type: apiKey description: API Access Key authorization header name: AccessKey in: header bearer: type: apiKey description: Bearer token authorization header name: Authorization in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.